<?php
// Players Windows/Linux/Android Link
$porta = query_string('1');

if(!is_numeric($porta)) {
die ("Error! Missing data.");
}

// Verifica se a conexão com mysql foi estabelecida para definir se irá usar os dados do banco de dados ou do cache no TXT
$dados_config = @mysqli_fetch_array(@mysqli_query($conexao,"SELECT * FROM configuracoes"));

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where porta = '".$porta."'"));
$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));

$servidor = strtolower($dados_servidor["nome"]).".".$dados_config["dominio_padrao"];


if(is_numeric(query_string('2'))) {
$ponto = query_string('2');
list($player, $extensao) = explode(".",query_string('3'));
} else {
$ponto = "1";
list($player, $extensao) = explode(".",query_string('2'));
}

if($player == "mediaplayer") {

// Extensão: .asx

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.asx?sid=".$ponto."");
}

exit();

} elseif($player == "winamp") {

// Extensão: .pls

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.pls?sid=".$ponto."");
}

exit();

} elseif($player == "vlc") {

// Extensão: .m3u

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.m3u?sid=".$ponto."");
}

exit();

} elseif($player == "itunes") {

// Extensão: .pls

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.pls?sid=".$ponto."");
}

exit();

} elseif($player == "realplayer") {

// Extensão: .rm

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.ram?sid=".$ponto."");
}

exit();

} elseif($player == "quicktime") {

// Extensão: .qtl

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.qtl?sid=".$ponto."");
}

exit();

} elseif($player == "iphone") {

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.m3u?sid=".$ponto."");
}

exit();

} elseif($player == "android") {

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.pls?sid=".$ponto."");
}

exit();

} else {

// Extensão: .pls

if($dados_stm["tipo_servidor"] == "icecast") {
$porta = $porta+1;
header("Location: http://".$servidor.":".$porta."/stream.m3u");
} else {
header("Location: https://".$servidor.":".$porta."/listen.pls?sid=".$ponto."");
}

exit();

}
?> 